# strlen.S File Reference

Go to the source code of this file.

## Functions

globl strlen edi cld xorl eax ecx repne scasb notl ecx | leal (%ecx)

## Variables

globl strlen edi cld xorl | eax
globl strlen edi cld xorl eax | movl
globl strlen | strlen

## Function Documentation

globl strlen edi cld xorl eax ecx repne scasb notl ecx leal | ( | % | ecx | ) |

## Variable Documentation

globl strlen edi cld xorl eax

Definition at line 4 of file strlen.S.

globl strlen edi cld xorl eax movl

Definition at line 4 of file strlen.S.

globl strlen strlen

Definition at line 4 of file strlen.S.

Referenced by devfs_makeNode(), strstr(), sysExec(), ubixfs_cacheNew(), and vsprintf().